Deployments.ai Docs
Tools

Show a platform tool with its input schema

GET /v1/tools/{toolName} · SDK getTool · CLI deployments tool get

GET
/v1/tools/{toolName}

Requires tools:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

toolName*string
Length1 <= length <= 128

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ToolCatalogDetailResponse

application/json
  1. response
approvalRequired*boolean
category*string
defaultPolicyAction*string
Value in"allow""deny""require_approval"
description*string
effect*string
Value in"execute""read""write"
name*string
policyBinding*|null
providerKey?string
requiredScopes*array<string>
route*string
status*string
Value in"active""archived"
inputSchema?
outputSchema?
curl -X GET "https://example.com/v1/tools/string" \  -H "x-deployments-environment: string"
{  "approvalRequired": true,  "category": "string",  "defaultPolicyAction": "allow",  "description": "string",  "effect": "execute",  "name": "string",  "policyBinding": "catalog",  "providerKey": "string",  "requiredScopes": [    "string"  ],  "route": "string",  "status": "active",  "inputSchema": {    "property1": null,    "property2": null  },  "outputSchema": {    "property1": null,    "property2": null  }}